package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ALARM_ROUTE")
@EqualsAndHashCode(callSuper = true)
@Api("安灯作业流程配置")
public class AndonAlarmRoute extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7425423934619147746L;

    @Column(name = "ALARM_CODE")
    @ApiParam("安灯类型代码")
    private String alarmCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "ROUTE_TYPE")
    @ApiParam("流程类型")
    private Integer routeType;

}
