package cn.estsh.i3plus.pojo.ptl.model;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.ptl.bean.PtlRouteStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@ApiModel("通用数据传输对象")
public class CommonMsgModel implements Serializable {

    private static final long serialVersionUID = 8271636435115494111L;

    @ApiModelProperty("工厂")
    private String organizeCode;

    @ApiModelProperty("用户信息")
    private String userInfo;

    @ApiModelProperty("消息类型")
    private String msgType;

    @ApiModelProperty("是否重试")
    private Integer isRestart= CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    @ApiModelProperty("消息数据")
    private Map<String, Object> msgData;

    @ApiModelProperty("客户端信息")
    private String clientInfo;

    @ApiModelProperty("websocket消息")
    private WsResultBean wsResultBean;

    @ApiModelProperty("流程状态集合")
    private List<PtlRouteStatus> routeStatusList;

    @ApiModelProperty("当前流程状态")
    private PtlRouteStatus curRouteStatus;

    @ApiModelProperty("外部触发事件")
    private String triggerEvent;

}
