package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : BH子检测项
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-04-23
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_BH_CHILD_DETECTION_ITEM")
@Api("BH子检测项")
public class WmsBhChildDetectionItem extends BaseBean {

    private static final long serialVersionUID = -8005468634643773682L;
    @Column(name = "CHECK_TYPE")
    @ApiParam("检测大类")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "BH_CHECK_TYPE")
    private Integer checkType;

    @Column(name = "ITEM_CHECK_CODE")
    @ApiParam("子检测项代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String itemCheckCode;

    @Column(name = "ITEM_CHECK_NAME")
    @ApiParam("子检测项名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String itemCheckName;

    @Column(name = "VALUE_TYPE")
    @ApiParam("值类型")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "BH_VALUE_TYPE")
    private Integer valueType;
}
