package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 物料检测大类
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-04-23
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_PART_CHECK_TYPE")
@Api("物料检测大类")
public class WmsPartCheckType extends BaseBean {

    private static final long serialVersionUID = -5189386821943180930L;
    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String workCenterCode;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String partName;

    @Column(name = "CHECK_TYPE")
    @ApiParam("检测大类")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "BH_CHECK_TYPE")
    private Integer checkType;

    @Column(name = "SAMPLE_SIZE")
    @ApiParam("样本数")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER, isRequire = 2)
    private Integer sampleSize;
}
