package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Entity;

/**
 * @Description : 报工事务明细表model
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-11
 * @Modify:
 **/
@Data
@Entity
@Api("报工事务明细表model")
public class WmsReportTransDetailModel extends BaseBean {
    private static final long serialVersionUID = 1547988564672291041L;
    @ApiParam(value = "报工产线")
    private String lineNo;

    @ApiParam(value = "实际报工产线")
    private String reportLine;

    @ApiParam(value = "班组名称")
    private String shiftNo;

    @ApiParam(value = "班组描述")
    private String shiftName;

    @ApiParam(value = "报工库区")
    private String zoneNo;

    @ApiParam(value = "报工库位")
    private String locateNo;

    @ApiParam(value = "报工条码")
    private String reportSn;

    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam(value = "零件名称")
    private String partName;

    @ApiParam(value = "客户代码")
    private String custNo;

    @ApiParam(value = "单位")
    private String unit;

    @ApiParam(value = "数量")
    private Double qty;

    @ApiParam(value = "包规")
    private String dateCode;

    @ApiParam(value = "供应商批次")
    private Double snp;

    @ApiParam(value = "收货批次")
    private String lotNo;

    @ApiParam(value = "查询开始时间")
    private String startDateTime;

    @ApiParam(value = "查询结束时间")
    private String endDateTime;

    // , String createUser, String createDateTime
    public WmsReportTransDetailModel(String organizeCode, String lineNo, String actualReportLine, String shiftNo, String shiftName,
                                     String zoneNo, String locateNo, String sn, String partNo, String partNameRdd, String custNo,
                                     String unit, Double qty, String dateCode, Double snp, String lotNo, String createDateTime) {
        this.organizeCode = organizeCode;
        this.lineNo = lineNo;
        this.reportLine = actualReportLine;
        this.shiftNo = shiftNo;
        this.shiftName = shiftName;
        this.zoneNo = zoneNo;
        this.locateNo = locateNo;
        this.reportSn = sn;
        this.partNo = partNo;
        this.partName = partNameRdd;
        this.custNo = custNo;
        this.unit = unit;
        this.qty = qty;
        this.dateCode = dateCode;
        this.snp = snp;
        this.lotNo = lotNo;
        this.createDatetime = createDateTime;
    }

    public WmsReportTransDetailModel() {

    }
}
