package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Entity;

/**
 * @Description : 供应商延迟到货明细表model
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-11
 * @Modify:
 **/
@Data
@Entity
@Api("供应商延迟到货明细表model")
public class WmsVendorDelayDetailModel extends BaseBean {

    private static final long serialVersionUID = -1030326082916174340L;
    @ApiParam(value = "单据编号")
    private String orderNo;

    @ApiParam(value = "完成状态")
    private Integer itemStatus;

    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam(value = "零件名称")
    private String partName;

    @ApiParam(value = "总数量")
    private Double qty;

    @ApiParam(value = "预交日期")
    private String planDate;

    @ApiParam(value = "预交时间")
    private String planTime;

    @ApiParam(value = "收货日期")
    private String recDate;

    @ApiParam(value = "收货时间")
    private String recTime;

    @ApiParam(value = "供应商代码")
    private String vendorNo;

    @ApiParam(value = "供应商名称")
    private String vendorName;

    @ApiParam(value = "查询开始时间")
    private String startDateTime;

    @ApiParam(value = "查询结束时间")
    private String endDateTime;

    public WmsVendorDelayDetailModel(String orderNo, Integer itemStatus, String partNo, String partName, Double qty,
                                     String planDate, String planTime, String recDate, String recTime, String vendorNo, String vendorName, String organizeCode, String createDateTime) {
        this.orderNo = orderNo;
        this.itemStatus = itemStatus;
        this.partNo = partNo;
        this.partName = partName;
        this.qty = qty;
        this.planDate = planDate;
        this.planTime = planTime;
        this.recDate = recDate;
        this.recTime = recTime;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.organizeCode = organizeCode;
        this.createDatetime = createDateTime;
    }

    public WmsVendorDelayDetailModel() {

    }
}
